Bug 1266433 - Texlive rpms create files not owned with any package
Texlive rpms create files not owned with any package
Status: ASSIGNED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: texlive (Show other bugs)
7.3
Unspecified Unspecified
low Severity low
: rc
: ---
Assigned To: Ngo Than
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-25 05:32 EDT by Marek Haicman
Modified: 2017-07-19 07:00 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Haicman 2015-09-25 05:32:58 EDT
These files(+dirs) relevant to texlive are non-owned by any rpm [state after installing texlive*]:

/var/lib/texmf/web2c
/var/lib/texmf/web2c/tex
/var/lib/texmf/web2c/tex/tex.fmt
/var/lib/texmf/web2c/tex/tex.log
/var/lib/texmf/web2c/metafont
/var/lib/texmf/web2c/metafont/mf.base
/var/lib/texmf/web2c/metafont/mf.log
/var/lib/texmf/web2c/luatex
/var/lib/texmf/web2c/luatex/lualatex.fmt
/var/lib/texmf/web2c/luatex/luatex.log
/var/lib/texmf/web2c/luatex/dvilualatex.log
/var/lib/texmf/web2c/luatex/lualatex.log
/var/lib/texmf/web2c/luatex/dviluatex.log
/var/lib/texmf/web2c/luatex/dviluatex.fmt
/var/lib/texmf/web2c/luatex/dvilualatex.fmt
/var/lib/texmf/web2c/luatex/luatex.fmt
/var/lib/texmf/web2c/pdftex
/var/lib/texmf/web2c/pdftex/pdftex.log
/var/lib/texmf/web2c/pdftex/xmltex.log
/var/lib/texmf/web2c/pdftex/pdflatex.fmt
/var/lib/texmf/web2c/pdftex/pdfetex.log
/var/lib/texmf/web2c/pdftex/pdfxmltex.log
/var/lib/texmf/web2c/pdftex/pdftex.fmt
/var/lib/texmf/web2c/pdftex/etex.log
/var/lib/texmf/web2c/pdftex/latex.log
/var/lib/texmf/web2c/pdftex/mptopdf.fmt
/var/lib/texmf/web2c/pdftex/etex.fmt
/var/lib/texmf/web2c/pdftex/xmltex.fmt
/var/lib/texmf/web2c/pdftex/jadetex.log
/var/lib/texmf/web2c/pdftex/jadetex.fmt
/var/lib/texmf/web2c/pdftex/pdfxmltex.fmt
/var/lib/texmf/web2c/pdftex/pdfjadetex.fmt
/var/lib/texmf/web2c/pdftex/mptopdf.log
/var/lib/texmf/web2c/pdftex/pdfetex.fmt
/var/lib/texmf/web2c/pdftex/latex.fmt
/var/lib/texmf/web2c/pdftex/pdflatex.log
/var/lib/texmf/web2c/pdftex/pdfjadetex.log
/var/lib/texmf/web2c/xetex
/var/lib/texmf/web2c/xetex/xetex.fmt
/var/lib/texmf/web2c/xetex/xetex.log
/var/lib/texmf/web2c/xetex/xelatex.log
/var/lib/texmf/web2c/xetex/xelatex.fmt
/var/lib/texmf/ls-R

Version-Release number of selected component (if applicable):
texlive-2012-38.20130427_r30134.el7

How reproducible:
100% 

Steps to Reproduce:
1. yum install texlive*
2. find /var/lib/texmf/ -exec sh -c 'rpm -qf {} > /dev/null' \; -o -print

Actual results:
See above

Expected results:
No files are non-owned

Note You need to log in before you can comment on or make changes to this bug.